/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

/* $Header: /cvsroot/epp-rtk/epp-rtk/c++/src/data/epp_ContactNameAddress.cc,v 1.2 2003/07/18 20:21:19 tubadanm Exp $ */

/** @file epp_ContactNameAddress.cc
 *  @brief Definition of epp_ContactNameAddress and epp_ContactNameAddress_ref
 *  @author Daniel Manley
 */

#include <map>
#include "epp_ContactNameAddress.h"

using namespace eppobject::epp;
using namespace eppobject::contact;
using namespace std;
   
ostream & eppobject::contact::operator<<(ostream &stream, const epp_ContactNameAddress_ref &cna) {
    return stream << *cna;
}

ostream & eppobject::contact::operator<<(ostream &stream, const epp_ContactNameAddress &cna) {

    map<epp_ContactPostalInfoType, string> postalInfoMap;
    postalInfoMap[INT] = "int";
    postalInfoMap[LOC] = "loc";
    
    stream << "m_type ["<<postalInfoMap[*cna.m_type]<<"] m_name ["<<*cna.m_name<<"] m_org ["<<*cna.m_org<<"]";
    return stream;
}

