/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_CONTACTTRANSFERRSP_H
#define __EPP_CONTACTTRANSFERRSP_H

/** @file epp_ContactTransferRsp.h
 *  @brief Definition of epp_ContactTransferRsp and epp_ContactTransferRsp_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_contactdata.h"
#include "epp_GenericRsp.h"
#include "epp_ContactTrnData.h"

namespace eppobject { namespace contact {
   
   /// Class containing elements used in contact transfer responses
   /// @see epp_GenericRsp for additional information
   class epp_ContactTransferRsp : public epp::epp_GenericRsp {
      
    public:
      epp_ContactTrnData_ref m_trn_data; /**< Element containing all information about the transfer */
      
      /// Null constructor
      epp_ContactTransferRsp() {};
      
      /// Destructor
      virtual ~epp_ContactTransferRsp() {}
      
      /// Constructor, using only references
      epp_ContactTransferRsp(const eppobject::epp::epp_Response_ref & _m_rsp,
			     const epp_ContactTrnData_ref & _m_trn_data)
	: epp::epp_GenericRsp(_m_rsp)
	{
	   m_trn_data = _m_trn_data;
	};
   };
   
   /// Typedef for the ref to the epp_ContactTransferRsp class
   typedef refcnt_ptr<epp_ContactTransferRsp> epp_ContactTransferRsp_ref;
   
}}

#endif
