/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_CONTACTUPDATEADDREMOVE_H
#define __EPP_CONTACTUPDATEADDREMOVE_H

/** @file epp_ContactUpdateAddRemove.h
 *  @brief Definition of epp_ContactUpdateAddRemove and epp_ContactUpdateAddRemove_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_contactdata.h"
#include "epp_ContactStatus.h"

namespace eppobject { namespace contact {
   
   /// Class containing elements used in add/remove part of contact update requests
   class epp_ContactUpdateAddRemove {
      
    public:
      epp_contact_status_seq_ref m_status;  /**< Status of the contact object */
      
      /// Null constructor
      epp_ContactUpdateAddRemove() {};

      /// Destructor
      virtual ~epp_ContactUpdateAddRemove() {};
      
      /// Constructor, using only references
      epp_ContactUpdateAddRemove(const epp_contact_status_seq_ref & _m_status)
	{
	   m_status = _m_status;
	};
   };
   
   /// Typedef for the ref to the epp_ContactUpdateAddRemove class
   typedef refcnt_ptr<epp_ContactUpdateAddRemove> epp_ContactUpdateAddRemove_ref;
   
}}

#endif
