/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_GENERICRSP_H
#define __EPP_GENERICRSP_H

/** @file epp_GenericRsp.h
 *  @brief Definition of epp_GenericRsp and epp_GenericRsp_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_Response.h"

namespace eppobject { namespace epp {
   
   /// Class containing the generic and common elements of a server response
   class epp_GenericRsp {
      
    public:
      epp_Response_ref m_rsp; /**< Generic response element */
      
      /// Null constructor
      epp_GenericRsp() {};
      
      /// Destructor
      virtual ~epp_GenericRsp() {};

      /// Constructor
      epp_GenericRsp(const epp_Response_ref & _m_rsp)
	{
	   m_rsp = _m_rsp;
	};
      
   };

   /// Typedef for the ref to the epp_GenericRsp class
   typedef refcnt_ptr<epp_GenericRsp> epp_GenericRsp_ref;
   
}}

#endif
