/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_HOSTCHECKRSP_H
#define __EPP_HOSTCHECKRSP_H

/** @file epp_HostCheckRsp.h
 *  @brief Definition of epp_HostCheckRsp and epp_HostCheckRsp_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_GenericCheckRsp.h"
#include "epp_CheckResult.h"

namespace eppobject { namespace host {
   
   /// Class containing elements used in host check responses
   /// @see epp_GenericCheckRsp for additional information
   class epp_HostCheckRsp : public epp::epp_GenericCheckRsp {
      
    public:
      
      /// Null constructor
      epp_HostCheckRsp() {};

      /// Destructor
      virtual ~epp_HostCheckRsp() {}
      
      /// Constructor
      epp_HostCheckRsp(const eppobject::epp::epp_Response_ref & _m_rsp,
		       const eppobject::epp::epp_check_result_seq_ref & _m_results)
	: epp::epp_GenericCheckRsp(_m_rsp, _m_results) {};
      
   };

   /// Typedef for the ref to the epp_HostCheckRsp class
   typedef refcnt_ptr<epp_HostCheckRsp> epp_HostCheckRsp_ref;
   
}}

#endif
