/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_HOSTUPDATECHANGE_H
#define __EPP_HOSTUPDATECHANGE_H

/** @file epp_HostUpdateChange.h
 *  @brief Definition of epp_HostUpdateChange and epp_HostUpdateChange_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_hostdata.h"

namespace eppobject { namespace host {
   
   /// Class containing elements used in the change part of host update requests
   class epp_HostUpdateChange {
      
    public:
      eppobject::epp::epp_string_ref m_name; /**< A new fully qualified host name by which the host 
					      * object will be known */

      /// Null constructor
      epp_HostUpdateChange() {};
      
      /// Destructor
      virtual ~epp_HostUpdateChange() {};
      
      /// Constructor, using simple types when it can
      /// @note Cannot set simple types to NULL
      epp_HostUpdateChange(const eppobject::epp::epp_string & _m_name)
	{
	   m_name.ref(new eppobject::epp::epp_string(_m_name));
	};
      
      /// Constructor, using only references
      epp_HostUpdateChange(const eppobject::epp::epp_string_ref & _m_name)
	{
	   m_name = _m_name;
	};
   };
   
   /// Typedef for the ref to the epp_HostUpdateChange class
   typedef refcnt_ptr<epp_HostUpdateChange> epp_HostUpdateChange_ref;
   
}}

#endif
