/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/


/** @file epp_PollResFactory.cc
 *  @brief Additional definitions for epp_PollResFactory
 *  @author Asbjorn Steira Mikkelsen
 *  @see epp_PollResFactory.h
 */

#include "epp_PollResFactory.h"

using namespace std;
using namespace eppobject::epp;


epp_PollResFactory::FactoryMap epp_PollResFactory::fm;


epp_PollResData* epp_PollResFactory::create(const string & namespaceURI,
					    const string & element)
{
   FactoryMap::const_iterator i = fm.find(namespaceURI + ":" + element);
   if (i == fm.end()) return (epp_PollResData*)NULL;
   return i->second();
}


void epp_PollResFactory::addClass(const string & namespaceURI,
				  const string & element,
				  epp_PollResData * (* func)())
{
   fm[namespaceURI + ":" + element] = func;
}
