/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002, 2003 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

/* $Header: /cvsroot/epp-rtk/epp-rtk/c++/src/data/epp_Response.cc,v 1.2 2003/07/18 20:21:19 tubadanm Exp $ */

/** @file epp_Response.cc
 *  @brief Methods for sending the response to a stream for debug
 *  @author Daniel Manley
 */

#include "epp_Response.h"

using namespace eppobject::epp;
using namespace std;

ostream& eppobject::epp::operator<<(ostream &stream, const epp_Response_ref & response) {
    return stream << *response;
}

ostream& eppobject::epp::operator<<(ostream &stream, const epp_Response & response) {

    stream << "m_results: [";
    
    // iterate...
    for ( epp_result_seq::iterator i = response.m_results->begin();
          i != response.m_results->end();
          i++ ) {
        stream << "["<<*i<<"]";
    }
    
    stream << "] m_message_queue: [";
    if ( response.m_message_queue != NULL ) stream << response.m_message_queue;
    stream << "] m_ext_strings: [";
    if ( response.m_ext_strings != NULL ) {
       // iterate...
       for ( epp_xml_string_seq::iterator j = response.m_ext_strings->begin();
             j != response.m_ext_strings->end();
             j++ ) {
        stream << "["<<*j<<"]";
       }
    }
    stream << "] m_trans_id: [";
    if ( response.m_trans_id != NULL ) stream << response.m_trans_id;
    stream << "]";
    
    return stream;
}

