/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_SERVICE_H
#define __EPP_SERVICE_H

/** @file epp_Service.h
 *  @brief Deprecated! Definition of epp_Service and epp_Service_ref
 *  @author Asbjorn Steira Mikkelsen
 *  @deprecated From EPP/IDL 05/03 replaced by usage of #epp_string
 */

#include "epp_eppdata.h"

namespace eppobject { namespace epp {
   
   /// Class containing elements used to describe an EPP service
   /// @deprecated From EPP/IDL 05/03 replaced by usage of #epp_string
   class epp_Service {
      
    public:
      epp_string_ref m_name; /**< Name of the service */
      epp_string_ref m_xmlns; /**< Namespace for the service */
      epp_string_ref m_schema_location; /**< Location of the schema for the service */
      
      /// Null constructor
      epp_Service() {};
      
      /// Destructor
      virtual ~epp_Service() {};
      
      /// Constructor, using simple types when it can
      /// @note Cannot set simple types to NULL
      epp_Service(const epp_string & _m_name,
		  const epp_string & _m_xmlns,
		  const epp_string & _m_schema_location)
	{
	   m_name.ref(new epp_string(_m_name));
	   m_xmlns.ref(new epp_string(_m_xmlns));
	   m_schema_location.ref(new epp_string(_m_schema_location));
	};      
      
      /// Constructor, using only references
      epp_Service(const epp_string_ref & _m_name,
		  const epp_string_ref & _m_xmlns,
		  const epp_string_ref & _m_schema_location)
	{
	   m_name = _m_name;
	   m_xmlns = _m_xmlns;
	   m_schema_location = _m_schema_location;
	};
   };

   /// Typedef for the ref to the epp_Service class
   typedef refcnt_ptr<epp_Service> epp_Service_ref;
   
}}

#endif
